%global pypi_name docopt

Name:           python-docopt
Version:        0.6.2
Release:        %mkrel 13
Summary:        Pythonic argument parser, that will make you smile
Group:          Development/Python
License:        MIT
URL:            https://github.com/docopt/docopt
Source0:        %{pypi_source}
BuildArch:	noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(pytest)

%description
Isn't it awesome how optparse and argparse generate help messages
based on your code?!

Hell no! You know what's awesome? It's when the option parser is
generated based on the beautiful help message that you write yourself!
This way you don't need to write this stupid repeatable parser-code,
and instead can write only the help message--*the way you want it*.

%package -n python3-docopt
Summary:        Pythonic argument parser, that will make you smile - package for Python 3
%{?python_provide:%python_provide python3-docopt}

%description -n python3-docopt
Isn't it awesome how optparse and argparse generate help messages
based on your code?!

Hell no! You know what's awesome? It's when the option parser is
generated based on the beautiful help message that you write yourself!
This way you don't need to write this stupid repeatable parser-code,
and instead can write only the help message--*the way you want it*.

%prep
%setup -q -n docopt-%{version}

# remove upstream egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py nosetests

%files -n python3-docopt
%{python3_sitelib}/__pycache__/docopt*
%{python3_sitelib}/docopt.py*
%{python3_sitelib}/docopt-*.egg-info


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 0.6.2-13.mga9
+ Revision: 1828444
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 wally <wally> 0.6.2-12.mga9
+ Revision: 1774168
- rebuild for python3.10

* Thu Mar 18 2021 neoclust <neoclust> 0.6.2-11.mga9
+ Revision: 1704451
- Rebuild against python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.6.2-10.mga8
+ Revision: 1531381
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 wally <wally> 0.6.2-9.mga8
+ Revision: 1439705
- rebuild for python3.8
- drop python2 support

* Fri Aug 30 2019 wally <wally> 0.6.2-7.mga8
+ Revision: 1435622
- drop python2 pytest BR

* Mon Jan 07 2019 shlomif <shlomif> 0.6.2-6.mga7
+ Revision: 1350304
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.6.2-5.mga7
+ Revision: 1288783
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 kekepower <kekepower> 0.6.2-4.mga7
+ Revision: 1210801
- Use new python[2,3]dist
- Renamed python-docopt to python2-docopt

* Sat Aug 05 2017 pterjan <pterjan> 0.6.2-3.mga7
+ Revision: 1135399
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.6.2-2.mga6
+ Revision: 970767
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 shlomif <shlomif> 0.6.2-1.mga6
+ Revision: 888263
- New version 0.6.2 + Rebuild for new Python3 3.5.x

* Sun Dec 28 2014 juancho <juancho> 0.6.1-1.mga5
+ Revision: 806828
- imported package python-docopt


* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Feb 03 2014 Martin Sivak <msivak@euryale.brq.redhat.com> - 0.6.1-3
- Fix a mistake in spec file that prevented the subpackage from
  being created for Python 3

* Fri Nov 15 2013 Martin Sivak <msivak@euryale.brq.redhat.com> - 0.6.1-2
- Enable python3 package

* Mon Aug 19 2013 Martin Sivak <msivak@euryale.brq.redhat.com> - 0.6.1-1
- Upstream version sync

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 14 2013 Martin Sivak <msivak@euryale.brq.redhat.com> - 0.5.0-1
- Inital release
